﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using RSPhotography.DataAccess;
using System.Diagnostics;

namespace RSPhotography.UnitTests
{
    [TestClass]
    public class BasicTests
    {
        [TestMethod]
        public void TestGetData()
        {
            using (CatalogDataAccessor access = new CatalogDataAccessor())
            {
                var result = access.GetAllItems();
                Assert.IsTrue(result.Count > 0, "Should be at least one record");
                Trace.WriteLine(result[0].Title);
                Catalog first = result[0];
                foreach (Location loc in first.Locations)
                {
                    Trace.WriteLine(loc.Title);                    
                }
            }
        }

        [TestMethod]
        public void GetCatalogByRegion()
        {
            using (CatalogDataAccessor access = new CatalogDataAccessor())
            {
                Location loc = new Location();
                loc.LocationId = 1;
                var result = access.FindItemsByLocation(loc);
                Assert.IsTrue(result.Count > 0, "Should be at least one record");
            }
        }
    }
}
