﻿/*
Post-Deployment Script Template							
--------------------------------------------------------------------------------------
 This file contains SQL statements that will be appended to the build script.		
 Use SQLCMD syntax to include a file in the post-deployment script.			
 Example:      :r .\myfile.sql								
 Use SQLCMD syntax to reference a variable in the post-deployment script.		
 Example:      :setvar TableName MyTable							
               SELECT * FROM [$(TableName)]					
--------------------------------------------------------------------------------------
*/

USE [RSPhotography]
GO
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (1, N'Landscape', N'Landscape', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (2, N'Portrait', N'Portait', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (3, N'Flash Photography', N'Photos using flash', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (4, N'Macro', N'Macro photography', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (5, N'Telephoto', N'Shot with a zoom lens', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (6, N'HDR', N'High Dynamic Range', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (7, N'Panorama', N'A panoramic photo', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (8, N'Lifestyle', N'An in-situ shot', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (9, N'Nature', N'Nature and wildlife', 8)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (10, N'Stitched Panorama', N'A panorama made from stitched photos', 7)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (11, N'Underwater', N'Photos taken underwater', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (12, N'Sports', N'Photos of sporting events', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (13, N'Black and White', N'Photos taken or treated in Black and White', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (14, N'Sepia', N'Photos shot or processed in Sepia', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (15, N'Night', N'Photos taken at night time', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (16, N'Long Exposure', N'Photos taken with a long exposure', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (17, N'Fireworks', N'Photos of fireworks', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (18, N'Fusion', N'Fusion photography', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (19, N'Nude', N'Nude stills', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (20, N'Erotic', N'Erotic photography', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (21, N'Aerial', N'Aerial photography', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (22, N'High Contrast', N'High contrast', NULL)
INSERT [dbo].[Genre] ([GenreId], [Title], [Description], [ParentGenreId]) VALUES (23, N'Low Contrast', N'Low contrast', NULL)
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (1, NULL, N'Asia-Pacific', N'The Asia-Pacific Region')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (2, NULL, N'Europe', N'Europe')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (3, NULL, N'North America', N'North America')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (4, NULL, N'South America', N'South America')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (5, NULL, N'Middle East', N'Middle East')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (6, NULL, N'Africa', N'Africa')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (7, 1, N'Australia', N'Australia')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (8, 3, N'United States', N'USA')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (9, 3, N'Canada', N'Canada')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (10, 6, N'Egypt', N'Egypt')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (11, 2, N'Italy', N'Italy')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (12, 2, N'France', N'France')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (13, 2, N'United Kingdom', N'UK')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (14, 1, N'China', N'China')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (15, 1, N'Japan', N'Japan')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (16, 7, N'New South Wales', N'NSW')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (17, 14, N'HangZhou', N'Zhejiang Province')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (18, 14, N'Shanghai', N'China')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (19, 9, N'Vancouver', N'Vancouver')
INSERT [dbo].[Location] ([LocationId], [RegionId], [Title], [Description]) VALUES (20, 7, N'Australian Capital Territory', N'Canberra')
INSERT [dbo].[Sizes] ([SizeId], [Description], [Dimensions], [Width], [Height]) VALUES (1, N'Large', N'3023(W) x 4031(H)', 3032, 4031)
INSERT [dbo].[Sizes] ([SizeId], [Description], [Dimensions], [Width], [Height]) VALUES (2, N'Larger', N'3264(W) x 2448(H)', 3264, 2448)
INSERT [dbo].[Sizes] ([SizeId], [Description], [Dimensions], [Width], [Height]) VALUES (3, N'Largest', N'4032(W) x 3024(H)', 4032, 3024)
INSERT [dbo].[Sizes] ([SizeId], [Description], [Dimensions], [Width], [Height]) VALUES (4, N'Custom', N'Custom', NULL, NULL)
INSERT [dbo].[Sizes] ([SizeId], [Description], [Dimensions], [Width], [Height]) VALUES (5, N'Medium', N'768(W) x 1024(H)', 768, 1024)
INSERT [dbo].[Sizes] ([SizeId], [Description], [Dimensions], [Width], [Height]) VALUES (6, N'Small', N'800(W) x 600(H)', 800, 600)
INSERT [dbo].[Sizes] ([SizeId], [Description], [Dimensions], [Width], [Height]) VALUES (7, N'Smaller', N'640(W) x 480(H)', 640, 480)
INSERT [dbo].[Sizes] ([SizeId], [Description], [Dimensions], [Width], [Height]) VALUES (8, N'Medium', N'1024(W) x 768(H)', 1024, 768)
INSERT [dbo].[Sizes] ([SizeId], [Description], [Dimensions], [Width], [Height]) VALUES (9, N'Large', N'3024(W) x 4032(H)', 3024, 4032)
INSERT [dbo].[Sizes] ([SizeId], [Description], [Dimensions], [Width], [Height]) VALUES (10, N'Large', N'3264(W) x 2448(H)', 3264, 2448)
INSERT [dbo].[Sizes] ([SizeId], [Description], [Dimensions], [Width], [Height]) VALUES (11, N'Larger', N'4096(W) x 3084(H)', 4096, 3084)


/*
	ADD TEST DATA
*/

USE [RSPhotography]
GO
SET IDENTITY_INSERT [dbo].[Catalog] ON 

INSERT [dbo].[Catalog] ([CatalogId], [Title], [Description], [DateTaken]) VALUES (1, N'Balloons over Canberra', NULL, CAST(N'2013-03-31' AS Date))
INSERT [dbo].[Catalog] ([CatalogId], [Title], [Description], [DateTaken]) VALUES (2, N'Canberra sunrise', NULL, CAST(N'2013-03-31' AS Date))
INSERT [dbo].[Catalog] ([CatalogId], [Title], [Description], [DateTaken]) VALUES (3, N'Brumbies Lineout', NULL, CAST(N'2013-07-21' AS Date))
INSERT [dbo].[Catalog] ([CatalogId], [Title], [Description], [DateTaken]) VALUES (4, N'Tiger Experience', NULL, CAST(N'2011-01-06' AS Date))
SET IDENTITY_INSERT [dbo].[Catalog] OFF
INSERT [dbo].[CatalogGenre] ([CatalogId], [GenreId]) VALUES (1, 1)
INSERT [dbo].[CatalogGenre] ([CatalogId], [GenreId]) VALUES (1, 6)
INSERT [dbo].[CatalogGenre] ([CatalogId], [GenreId]) VALUES (2, 1)
INSERT [dbo].[CatalogGenre] ([CatalogId], [GenreId]) VALUES (2, 6)
INSERT [dbo].[CatalogGenre] ([CatalogId], [GenreId]) VALUES (3, 5)
INSERT [dbo].[CatalogGenre] ([CatalogId], [GenreId]) VALUES (3, 6)
INSERT [dbo].[CatalogGenre] ([CatalogId], [GenreId]) VALUES (3, 8)
INSERT [dbo].[CatalogGenre] ([CatalogId], [GenreId]) VALUES (3, 12)
INSERT [dbo].[CatalogGenre] ([CatalogId], [GenreId]) VALUES (4, 6)
INSERT [dbo].[CatalogGenre] ([CatalogId], [GenreId]) VALUES (4, 9)
INSERT [dbo].[CatalogLocation] ([CatalogId], [LocationId]) VALUES (1, 1)
INSERT [dbo].[CatalogLocation] ([CatalogId], [LocationId]) VALUES (1, 7)
INSERT [dbo].[CatalogLocation] ([CatalogId], [LocationId]) VALUES (2, 1)
INSERT [dbo].[CatalogLocation] ([CatalogId], [LocationId]) VALUES (2, 7)
INSERT [dbo].[CatalogLocation] ([CatalogId], [LocationId]) VALUES (3, 1)
INSERT [dbo].[CatalogLocation] ([CatalogId], [LocationId]) VALUES (3, 7)
INSERT [dbo].[CatalogLocation] ([CatalogId], [LocationId]) VALUES (4, 1)
INSERT [dbo].[CatalogLocation] ([CatalogId], [LocationId]) VALUES (4, 14)
INSERT [dbo].[CatalogLocation] ([CatalogId], [LocationId]) VALUES (1, 20)
SET IDENTITY_INSERT [dbo].[Files] ON 

INSERT [dbo].[Files] ([FileId], [Filename], [CatalogId], [SizeId], [IsDefault]) VALUES (1, N'P3317619_tonemapped.jpg', 1, 4, 0)
INSERT [dbo].[Files] ([FileId], [Filename], [CatalogId], [SizeId], [IsDefault]) VALUES (2, N'P3317579_tonemapped.jpg', 2, 4, 0)
INSERT [dbo].[Files] ([FileId], [Filename], [CatalogId], [SizeId], [IsDefault]) VALUES (3, N'P7211527_tonemapped-sig.jpg', 3, 3, 0)
INSERT [dbo].[Files] ([FileId], [Filename], [CatalogId], [SizeId], [IsDefault]) VALUES (4, N'P1064837_tonemapped-sig.jpg', 4, 11, 0)
SET IDENTITY_INSERT [dbo].[Files] OFF
INSERT [dbo].[CatalogSizes] ([CatalogId], [SizeId]) VALUES (1, 4)
INSERT [dbo].[CatalogSizes] ([CatalogId], [SizeId]) VALUES (2, 4)
INSERT [dbo].[CatalogSizes] ([CatalogId], [SizeId]) VALUES (3, 3)
INSERT [dbo].[CatalogSizes] ([CatalogId], [SizeId]) VALUES (4, 11)
GO

